Bug 1471810 - gnome-control-center error libwebkit2gtk-4.0.so.37: undefined symbol: hb_ot_math_has_data
gnome-control-center error libwebkit2gtk-4.0.so.37: undefined symbol: hb_ot_m...
Status: NEW
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 09:33 EDT by mohammad
Modified: 2018-05-03 03:51 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mohammad 2017-07-17 09:33:54 EDT
today i am upgrade to fedora 26 stable 
i can't  run gnome-control-center to see setting
for test i run gnome-control-center from terminal i see this error

gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37: undefined symbol: hb_ot_math_has_data
Comment 1 Hong Yao 2017-09-21 02:02:47 EDT
Also happened on Fedora 25

Sep 21 13:59:25 dhcp-128-7.nay.redhat.com gnome-control-center.desktop[7886]: gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37: undefined symbol: _ZN3JSC8JSObject32putDirectIndexBeyondVectorLengthEPNS_9ExecStateEjNS_7JSValueEjNS_18PutDirectIndexModeE
Comment 2 Antonio Dias 2017-10-07 08:58:00 EDT
The same problem is affecting Fedora 27 beta but with a different symbol:

$ gnome-control-center 
gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37: undefined symbol: gst_gl_display_egl_new_with_egl_display
$
Comment 3 Kevin Faulkner 2017-10-17 11:39:04 EDT
Installing i686 version resolves this issue for me:
`dnf install webkitgtk4.i686`
before/after:
```
kfaulkne@fedora-work:~$ gnome-control-center   
gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37: undefined symbol: gst_gl_display_egl_new_with_egl_display                                                           
kfaulkne@fedora-work:~$ gnome-control-center
```
Comment 4 Antonio Dias 2017-10-17 12:50:50 EDT
(In reply to Kevin Faulkner from comment #3)
> Installing i686 version resolves this issue for me:
> `dnf install webkitgtk4.i686`
> before/after:
> ```
> kfaulkne@fedora-work:~$ gnome-control-center   
> gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37:
> undefined symbol: gst_gl_display_egl_new_with_egl_display                   
> 
> kfaulkne@fedora-work:~$ gnome-control-center
> ```

Tried that already and it will install a lot of other i686 packages as dependencies. Workaround but not a good solution for a 64 bits system. Thanks for sharing here anyway.
Comment 5 Aditia A, Pratama 2017-10-17 22:17:42 EDT
(In reply to Antonio Dias from comment #2)
> The same problem is affecting Fedora 27 beta but with a different symbol:
> 
> $ gnome-control-center 
> gnome-control-center: symbol lookup error: /lib64/libwebkit2gtk-4.0.so.37:
> undefined symbol: gst_gl_display_egl_new_with_egl_display
> $

Confirmed, this bug affecting me too. Even for accessing shutdown dialog is not possible right now.
Comment 6 Subhendu Ghosh 2017-10-22 22:31:56 EDT
still affecting F27 (Branched) repo
Comment 7 nnoiscgi 2017-10-23 04:56:56 EDT
Hi,
I can report that too with F27 (Branched) repo
Comment 8 Antonio Dias 2017-11-02 08:37:32 EDT
I don't know if it is related but after I updated to the latest gdm and gnome-software packages, published for Fedora 27, the problem is solved.
Comment 9 mohammad 2017-11-19 07:54:31 EST
i upgrade to F27 but problem still exist !!!!!

 i solved it by rebuild harfbuzz
by following shell script

dnf install ragel
git clone https://github.com/behdad/harfbuzz
cd harfbuzz
./autogen.sh
make -j8
make install
Comment 10 nnoiscgi 2017-11-20 07:02:16 EST
@mohammad
Strange, in my case this was a problem linked to unitedrpms

https://github.com/UnitedRPMs/issues/issues/13
Comment 11 Fedora End Of Life 2018-05-03 03:51:44 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.